#!/bin/sh

DB_CONFIG='/opt/cyops/configs/database/db_config.yml'

update_redis_section()
{
    if grep -q "^\s*redis\s*:\s*$" $DB_CONFIG; then
        echo "redis section is already written in file"
        return
    fi
    echo -e "\nredis:\n  redis_host: 127.0.0.1\n  redis_port: '6379'\n  redis_password: 'default_password'\n" >> $DB_CONFIG 
    return
}


update_redis_primary_section()
{
    if grep -q "^\s*redis_primary\s*:\s*$" $DB_CONFIG; then
        echo "redis_primary section is already written in file"
        return
    fi
    echo -e "\nredis_primary:\n  redis_host_primary: 127.0.0.1\n  redis_port_primary: '6379'\n  redis_password_primary: 'default_password'\n" >> $DB_CONFIG
    return
}
######
# MAIN starts here
#####

update_redis_section
update_redis_primary_section
