#!/usr/bin/env python
import sys, os
pem_file = sys.argv[1]
cert = ""
certs = set()
total_certs = 0
for line in open(pem_file, 'rb'):
    cert += line
    if '-----END CERTIFICATE-----' in line:
        # remove the empty lines
        cert = os.linesep.join([s for s in cert.splitlines() if s])
        certs.add(cert)
        cert = ""
        total_certs = total_certs + 1
duplicate_certs = total_certs - len(certs)
if duplicate_certs > 0:
    with open(pem_file, 'wb') as pem:
        pem.write("\n\n".join(certs))
        #Add newline at the end of file
        pem.write("\n\n")
print ("Removed " + str(duplicate_certs) + " duplicate certificate")
